From c18145f968d2f7a4531723f700599d2688274abf Mon Sep 17 00:00:00 2001
From: Valentin Gorelov <gorelov.v@bpa.ru>
Date: Thu, 22 Nov 2018 12:25:20 +0300
Subject: [PATCH] ptxd_make_get_git: add local Git repositories support

Signed-off-by: Valentin Gorelov <gorelov.v@bpa.ru>
---
 scripts/lib/ptxd_make_get.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/scripts/lib/ptxd_make_get.sh b/scripts/lib/ptxd_make_get.sh
index 17c515644..70de52143 100644
--- a/scripts/lib/ptxd_make_get.sh
+++ b/scripts/lib/ptxd_make_get.sh
@@ -394,6 +394,10 @@ ptxd_make_get() {
 		shift
 
 		case "${url}" in
+		git+file://*)
+			echo "local git repository, removing git+file:// prefix from URL"
+			url=${url#git+file://}
+			;&
 		git://*|http://*.git|https://*.git|ssh://*.git)
 			ptxd_make_get_download_permitted &&
 			ptxd_make_get_git && return
-- 
2.17.1

